| Home | Libraries | People | FAQ | More

###### decode_view::compare (2 of 2 overloads)

Return the result of comparing to another string.

###### Synopsis

    int
    compare(
        decode_view other) const;

###### Description

The length of the sequences to compare is the smaller of `size()` and `other.size()`. The function compares the two strings as if by calling `char_traits<char>::compare(to_string().data(), v.to_string().data(), rlen)`. This means the comparison is performed with percent-decoding applied to the current string.

###### Parameters

Name | Description
--- | ---
`other` | string to compare

###### Return Value

Negative value if this string is less than the other character sequence, zero if the both character sequences are equal, positive value if this string is greater than the other character sequence